Subject: Re: How does git deal with hard links in source code?

From: Jakub Narebski <[email-masked]>
Date: Mon, 23 Aug 2010 02:00:56 -0700 (PDT)

Seth Kriticos <[email-masked]> writes:

> I've got a question my google-fu and the docs were not able
> to answer:
> 
> Is there a way to preserve the hard links that are within
> a git repository checkout (the stuff that is tracked by the
> git repository)?

No, there isn't, and there shouldn't.  Not all filesystems support
hardlinks.
 
> The use-case I have is the following: I want to have two
> different template directories for stuff in the tracked
> sources: a base one and some extended ones. I want to have
> the stuff from the base one hard-linked to the extended one,
> so changes in the base one change all the other depending
> templates too.
> 
> Now for testing I committed and pushed an instance of this
> and then cloned the repository, and it ate my hard links
> (checked out two separate copies of the files).
> 
> Is there a way to convince git not to eat my hard links
> without some complicated scripting magic and checkout hooks?

Make hardlinks on deploy.

-- 
Jakub Narebski
Poland
ShadeHawk on #git